SystemOrganization addCategory: #ConfigurationOfChisCommit!

Object subclass: #ConfigurationOfChisCommit
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfChisCommit'!

!ConfigurationOfChisCommit class methodsFor: 'as yet unclassified' stamp: 'AlejandroInfante 3/28/2013 14:19'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfChisCommit class methodsFor: 'as yet unclassified' stamp: 'AlejandroInfante 3/28/2013 14:27'!
ensureMetacello
	
	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfChisCommit class methodsFor: 'as yet unclassified' stamp: 'AlejandroInfante 3/28/2013 14:18'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfChisCommit class methodsFor: 'as yet unclassified' stamp: 'AlejandroInfante 3/28/2013 14:18'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfChisCommit class methodsFor: 'as yet unclassified' stamp: 'AlejandroInfante 3/28/2013 14:17'!
load
	"self load"

	^self project stableVersion load! !

!ConfigurationOfChisCommit class methodsFor: 'as yet unclassified' stamp: 'AlejandroInfante 3/28/2013 14:18'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfChisCommit class methodsFor: 'as yet unclassified' stamp: 'AlejandroInfante 3/28/2013 14:18'!
project

	^self new project! !

!ConfigurationOfChisCommit class methodsFor: 'as yet unclassified' stamp: 'AlejandroInfante 3/28/2013 14:18'!
unloadMetacello

	Smalltalk at: #ConfigurationOfMetacello ifPresent: [:cls | cls unloadMetacello ]! !

!ConfigurationOfChisCommit methodsFor: 'baselines' stamp: 'AlejandroInfante 3/28/2013 15:11'!
baseline10: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.

		spec project: 'Merlin' with: [
				spec
					className: 'ConfigurationOfMerlin';
					version: #stable ;
					file: 'ConfigurationOfMerlin';
					repository: 'http://www.squeaksource.com/Merlin' ].

		spec project: 'Roassal' with: [
				spec
					className: 'ConfigurationOfRoassal';
					file: 'ConfigurationOfRoassal';
					version: #stable;
					repository: 'http://www.squeaksource.com/Roassal' ].

		spec repository: 'http://ss3.gemstone.com/ss/ChisCommit'.	
		spec 
			package: 'ChisCommit' with: [spec requires: #('Roassal' 'Merlin')].
].! !

!ConfigurationOfChisCommit methodsFor: 'baselines' stamp: 'AlejandroInfante 3/28/2013 14:58'!
default: spec 
        <version: 'default'>
        
       self stable: spec.! !

!ConfigurationOfChisCommit methodsFor: 'symbolic versions' stamp: 'AlejandroInfante 3/28/2013 14:25'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfChisCommit methodsFor: 'accessing' stamp: 'AlejandroInfante 3/28/2013 14:12'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfChisCommit methodsFor: 'symbolic versions' stamp: 'AlejandroInfante 3/28/2013 14:22'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.! !

!ConfigurationOfChisCommit methodsFor: 'versions' stamp: 'AlejandroInfante 3/28/2013 15:12'!
version100: spec 
	<version: '1.0' imports: #('1.0-baseline') >
	
	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : Fixed some bugs on Pharo2.0'.
		spec author: 'AlejandroInfante'.
		spec timestamp: '4/28/2012 17:17'.
		
		spec 
			package: 'ChisCommit' with: 'ChisCommit-AlejandroInfante.18'.

].! !
